Bug 251319 - mail/claws-mail-plugins has irrelevant pkg-descr
Summary: mail/claws-mail-plugins has irrelevant pkg-descr
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Matthias Andree
URL:
Keywords:
Depends on: 245939
Blocks: 251092
  Show dependency treegraph
 
Reported: 2020-11-22 23:55 UTC by Shane
Modified: 2020-11-29 13:25 UTC (History)
3 users (show)

See Also:
portmaster: maintainer-feedback+


Attachments
Possible fix for pkg-descr (534 bytes, patch)
2020-11-23 12:45 UTC, bsd
portmaster: maintainer-approval+
Details | Diff
Fix PORTVERSION to agree with main Claws Mail port (378 bytes, patch)
2020-11-23 22:33 UTC, bsd
portmaster: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Shane 2020-11-22 23:55:12 UTC
In ports r538519 mail/claws-mail-plugins had a pkg-descr added, the contents of this is not related to the port in any way.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2020-11-23 02:25:11 UTC
^Triage: over to committer of r538519.
Comment 2 bsd 2020-11-23 12:45:23 UTC
Created attachment 219905 [details]
Possible fix for pkg-descr

Patch makes port description related to port, removing unrelated text from it.
Comment 3 bsd 2020-11-23 12:50:28 UTC
Adding Ivan Rozhuk, FreeBSD Bugzilla Bug 245939 reporter, where erroneous text in pkg-descr originated from.
Comment 4 Ivan Rozhuk 2020-11-23 14:04:59 UTC
Sorry for copy-paste.
Patch - LGTM.
Comment 5 commit-hook freebsd_committer 2020-11-23 20:36:05 UTC
A commit references this bug:

Author: mandree
Date: Mon Nov 23 20:35:20 UTC 2020
New revision: 556123
URL: https://svnweb.freebsd.org/changeset/ports/556123

Log:
  mail/claws-mail-plugins: improve pkg-descr

  Since the original and maintainer-approved prior pkg-descr was obviously
  wrong, let's play this pragmatically:

  I am taking the liberty to commit this improvement,
  but am awaiting for the maintainer's final word
  on whether we should use this, or a different pkg-descr.

  PR:		251319 (pkg-descr fix)
  PR:		245939 (initial proposal to introduce mismatched pkg-descr)
  Submitted by:	bsd@dino.sk
  Reported by:	FreeBSD@ShaneWare.Biz

Changes:
  head/mail/claws-mail-plugins/pkg-descr
Comment 6 Matthias Andree freebsd_committer 2020-11-23 20:37:22 UTC
Hi Chris, please state whether the new pkg-descr from https://bugs.freebsd.org/bugzilla/attachment.cgi?id=219905&action=diff is OK or you want it changed.  

I have committed this proposal for the interim because it is quite obviously much better than what I'd committed and I guess we all overlooked the wrong pkg-descr that slipped in.
Comment 7 Matthias Andree freebsd_committer 2020-11-23 20:41:11 UTC
Oh, and when the decision will have been passed, we should bump PORTREVISION to flush out the packages that got built with the misleading pkg-descr, I am loathe to do that just yet to keep repo churn low.
Comment 8 bsd 2020-11-23 22:33:38 UTC
Created attachment 219913 [details]
Fix PORTVERSION to agree with main Claws Mail port

PORTVERSION in claws-mail-plugins port should agree with PORTVERSION in main claws-mail port
Comment 9 bsd 2020-11-23 22:35:53 UTC
(In reply to Matthias Andree from comment #7)
I think it would be better to adjust PORTVERSION to agree with main claws-mail port instead. For this purpose I attached simple one liner patch.
Comment 10 bsd 2020-11-23 22:39:17 UTC
Also, there is another PR, 251092, which, if committed, makes second additional patch obsolete, as it updated all Claws Mail ports to 3.17.8 version...
Comment 11 Matthias Andree freebsd_committer 2020-11-23 22:42:54 UTC
bsd@, thank you for the contributions. Please remember to include the requestee in your "maintainer-approval?" tags next time.

Whether bumping PORTVERSION makes much sense is a decision I'll pass to the maintainer, but I'd surmise since this is a meta-port, version changes should only be needed if the set of required port changes, i. e. one of the requisites is removed, or a new one added.
Comment 12 Chris Hutchinson 2020-11-23 23:00:08 UTC
Comment on attachment 219913 [details]
Fix PORTVERSION to agree with main Claws Mail port

This seems acceptable.
Approved.

Thanks, Milan.

--Chris
Comment 13 Chris Hutchinson 2020-11-23 23:01:38 UTC
Comment on attachment 219905 [details]
Possible fix for pkg-descr

LGTM

Approved. :-)
Comment 14 Chris Hutchinson 2020-11-23 23:02:33 UTC
LGTM

Thanks, Milan.

Chris out...
Comment 15 Matthias Andree freebsd_committer 2020-11-29 13:15:27 UTC
I've committed this as 3.17.8 to match this commit:

r556345 | joneum | 2020-11-26 18:18:52 +0100 (Thu, 26 Nov 2020) | 7 lines

Update to 3.17.8


This is to flush out old packages with the wrong pkg-descr.
Comment 16 commit-hook freebsd_committer 2020-11-29 13:16:05 UTC
A commit references this bug:

Author: mandree
Date: Sun Nov 29 13:15:15 UTC 2020
New revision: 556566
URL: https://svnweb.freebsd.org/changeset/ports/556566

Log:
  Bump version to flush out old packages using a bogus pkg-descr.

  Approved by:  Chris Hutchinson (maintainer)
  Submitted by: bsd@dino.sk
  PR:           251319

Changes:
  head/mail/claws-mail-plugins/Makefile
Comment 17 commit-hook freebsd_committer 2020-11-29 13:25:07 UTC
A commit references this bug:

Author: mandree
Date: Sun Nov 29 13:24:45 UTC 2020
New revision: 556568
URL: https://svnweb.freebsd.org/changeset/ports/556568

Log:
  Bump version to flush out old packages using a bogus pkg-descr. (for real now)

  Approved by:  Chris Hutchinson (maintainer)
  Submitted by: bsd@dino.sk
  PR:           251319

Changes:
  head/mail/claws-mail-plugins/Makefile